# Authentication

All requests to our APIs require authentication.  Peoplelogic.dev uses JWT Bearer tokens for authentication for all calls.&#x20;

### Administration vs Organization Authentication

There are generally two types of credentials that can be used to authentication to the APIs.  The first is an Administration token (or API key).  This is provided to you when you first sign up for Peoplelogic.dev.  You should keep this key very secure as it grants access to your Organization within Peoplelogic.dev.

The other type of credential is an Organization token.  This token is per-user and carries the same permissions as the user it was generated for.&#x20;

### HTTP Header: Bearer Authorization

All requests must be authenticated via token in the HTTP `Authorization` header in the following format:

```
Authorization: Bearer YOUR_API_KEY
```

For example if your Peoplelogic.dev Key is `abcdefasfghijklmnopqrst` then you will make API calls with the following as your authorization header

```
Authorization: Bearer abcdefasfghijklmnopqrst
```

Unauthenticated requests will receive a 401 error: `401: Unauthorized`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.peoplelogic.dev/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
